// -----------------------------------------------------------------------------
// This file contains styles that are specific to the ports page.
// -----------------------------------------------------------------------------

// Ports
.ports {
  overflow: hidden;

  @media (max-width: 1199.98px) {
    padding-bottom: 120px;
  }

  @media (max-width: 991.98px) {
    padding-bottom: 0;
  }

  h2 {
    margin-bottom: 10px;
  }

  .container {
    display: grid;

    @media (max-width: 991.98px) {
      grid-template-columns: 100%;
    }

    @media (min-width: 992px) {
      grid-template-columns: 30% 70%;
    }

    @media (min-width: 1300px) {
      max-width: $container-large;
      grid-template-columns: 30% 70%;
      padding-right: 170px;
    }
  }

  .markdown-content p {
    margin-top: 0.5rem;
  }

  // Content
  .content {
    min-width: 0;
    padding-right: 20px;
    padding-left: 50px;
    padding-top: 35px;
    color: var(--text-primary);

    .devices-homepage {
      p {
        margin-bottom: 15px;
      }

      .card-body {
        border: 1px solid $gray-lighter;
        padding: 10px 0 0 10px;
      }

      .device-tag-promoted {
        background-color: $ubuntu-purple-light;
        font-weight: lighter;
        color: $off-white;
        vertical-align: middle;
        margin-left: 10px;
      }
    }

    @media (max-width: 991.98px) {
      padding-left: 0;
      padding-top: 25px;
    }
  }

  .wide-content {
    @media (min-width: 992px) {
      grid-column: 1 / 3;
    }
  }

  .wrap-wide-content {
    max-width: 960px;

    @media (min-width: 992px) {
      margin: auto;
    }
  }

  .meta {
    display: flex;
    margin-top: 0;
    margin-bottom: 35px;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 10px;
  }

  .promoted-devices {
    gap: 20px;

    @media (max-width: 1199.98px) {
      flex-direction: column;
    }

    .commercial-devices {
      background: linear-gradient(225deg, #e95420 -11.85%, #8b3583 88.15%);
      color: #fff;
    }

    .community-devices {
      background-color: var(--background-secondary);
    }

    .commercial-devices,
    .community-devices {
      position: relative;
      display: flex;
      flex-direction: column;
      min-height: 300px;
      padding: 3rem;
      padding-bottom: 1rem;
      box-shadow: -4px 4px 5px var(--shadow-primary);
      transition:
        box-shadow ease 0.5s,
        transform ease 0.5s;

      @media (max-width: 1549.98px) {
        min-height: 400px;
        padding-bottom: 5.5rem;
      }

      @media (max-width: 1199.98px) {
        min-height: 250px;
        padding-bottom: 1rem;
      }

      &:hover {
        transform: translateY(-10px);
        box-shadow: -8px 15px 10px var(--shadow-primary);
      }
    }

    img {
      position: absolute;
      bottom: 0;
      right: 0;

      @media (max-width: 499.98px) {
        display: none;
      }
    }
  }

  .heading {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    margin-bottom: 20px;

    .title {
      padding-right: 45px;

      @media (max-width: 991.98px) {
        width: 100%;
        padding-right: 0;
      }

      div {
        display: flex;
        align-items: flex-start;
        justify-content: flex-start;

        @media (max-width: 991.98px) {
          justify-content: space-between;
        }
      }
    }

    h1 {
      margin-bottom: 5px;
      width: auto;
    }
  }

  .progress {
    margin-bottom: 20px;

    .external-label {
      padding: 10px 0 0 10px;
      color: var(--text-primary);
      text-align: left;
    }
  }

  .steps {
    margin-bottom: 20px;
    line-height: 2;
  }

  .state-icon {
    display: inline;
    max-height: 1em;
  }

  .bugs {
    margin-bottom: 25px;
  }

  .solutions {
    margin-bottom: 50px;
  }

  .unmaintained::after {
    border-left: 7px solid $red;
  }

  .banner-decoration-green::after {
    border-left: 7px solid $green;
  }

  .installer-video {
    position: relative;
    top: 0;
    left: -50px;
    margin-top: 0;
    padding: 60px 0 60px 60px;
    color: var(--text-light);

    h2 {
      color: var(--text-light);
    }

    a {
      text-decoration: underline;
    }

    &::after {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      height: 100%;
      width: 200%;
      background: linear-gradient(
        268.44deg,
        $ubuntu-orange -13.61%,
        $ubuntu-purple-light 83.98%
      );
      z-index: -2;

      @media (max-width: 991.98px) {
        left: 50%;
        transform: translateX(-50%);
      }
    }
  }

  // Missing data list
  .missing-data-list > li {
    list-style: square inside;
    padding: 3px;
  }

  .ul-show-list > li {
    list-style: square outside;
    padding: 3px;
    margin-left: 2em;
  }

  .markdown-content {
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
      padding-top: 10px;
      margin-bottom: 10px;
    }

    ul > li {
      list-style: square inside;
      padding: 3px 0 3px 20px;
    }

    ol > li {
      list-style: decimal inside;
      padding: 3px 0 3px 20px;
    }

    li > p:first-child {
      display: inline;
    }

    pre {
      display: flex;
      margin-top: 7px;
      border-left: 7px solid $ubuntu-purple;
      background-color: var(--background-secondary);
      padding: 10px 15px;
      color: var(--text-primary);
    }

    a {
      color: var(--link-primary);

      &:hover,
      &:focus,
      &:active {
        color: var(--link-primary-hover);
      }
    }

    table {
      width: auto;
      font-family: "ubuntu-mono", monospace;
      margin-bottom: 0;
      color: var(--text-primary);

      @media (max-width: 991.98px) {
        width: 100%;
      }

      tbody {
        tr:nth-of-type(2n + 1) {
          background-color: var(--table-even);
        }

        tr:nth-of-type(2n) {
          background-color: var(--table-odd);
        }
      }

      td,
      th {
        padding: 1px 80px 1px 15px;
        border-top: 5px solid var(--background-body);
        white-space: nowrap;

        @media (max-width: 991.98px) {
          padding: 1px 15px;
        }
      }
    }
  }

  .no-installer {
    margin-top: -35px !important;

    @media (max-width: 991.98px) {
      margin-top: -25px !important;
    }
  }

  .no-installer,
  .unmaintained {
    margin-top: 40px;

    @media (max-width: 991.98px) {
      margin-bottom: 30px;
    }
  }

  .choose-device {
    display: flex;
    flex-direction: column;
    height: 50vh;
    align-items: center;
    justify-content: center;
    margin: 50px 0;
  }

  .helpflash-container,
  .phones-container {
    position: absolute;
    overflow: hidden;
    width: 150%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: -1;
    pointer-events: none;

    img {
      position: absolute;
      top: -100px;
      right: 0;
      height: 200%;

      @media (max-width: 991.98px) {
        display: none;
      }
    }

    .test {
      top: unset;
      height: unset;
      min-height: 250px;
      min-width: 250px;
    }

    @media (max-width: 1199.98px) {
      left: 70px;
    }
  }

  .promoted-page {
    .category-devices {
      flex-wrap: wrap;
      justify-content: center;
      gap: 30px;

      .device-card {
        display: flex;
        flex-direction: column;

        h4 {
          color: var(--text-primary);
          font-size: 1em;
        }

        a:not(.btn),
        h4 {
          padding-top: 9px;
          padding-bottom: 9px;
        }

        picture {
          margin-top: auto;
          margin-bottom: auto;

          img {
            width: auto;
            height: auto;
            max-height: 275px;
            max-width: 400px;

            @media (max-width: 499.98px) {
              max-width: 100%;
            }
          }
        }
      }

      @media (max-width: 991.98px) {
        width: calc(100% + 20px);
      }
    }
  }

  .phones-container {
    z-index: unset;
  }

  .support-device > p > img.g-image {
    display: inline;
  }

  .device-codenames td:nth-of-type(3) {
    width: 42px;
    min-width: 42px;
  }
}

.popover {
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
  border: 0;
}

.popover-header {
  color: var(--text-primary);
  font-weight: bold;
  background: var(--background-secondary);
  border-bottom: 1px solid var(--background-tertiary);
}

.popover-body {
  color: var(--text-primary);
  background: var(--background-body);
}
